Bug 118363 - up2date failing with SSL error
Summary: up2date failing with SSL error
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 3.0
Hardware: s390x Linux
medium
high
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-15 23:18 UTC by Janet Smith
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-24 21:52:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Janet Smith 2004-03-15 23:18:45 UTC
Description of problem:
up2date fails to install new rpms

Version-Release number of selected component (if applicable):
4.0.1.1

How reproducible:
always

Steps to Reproduce:
1. up2date -u
2.
3.
  
Actual results:
There was an SSL error: [('SSL 
routines', 'SSL3_GET_RECORD', 'decryption failed or bad record mac')]
A common cause of this error is the system time being incorrect. 
Verify that the time on this system is correct.


Expected results:
updated rpm for s390x install from RHN

Additional info:

Comment 1 Janet Smith 2004-03-15 23:30:57 UTC
openssl-0.9.7a-22.1

Comment 2 Adrian Likins 2004-03-22 21:21:50 UTC
Is the system time correct?

Comment 3 Janet Smith 2004-03-24 21:47:16 UTC
Yes, the system time was correct.  But fortunately, I can't recreate 
this problem.  So, please close this bug.

Thanks,
Janet

Comment 4 Thomas Sprinkmeier 2005-02-15 01:40:31 UTC
I get the same error, fairly reproducible.

I have a server connected via a 3Kbps modem. up2date either hangs
while fetching headers (see below) or terminates with the same error
message you mentioned.

The system clock is accurate (using ntp). 


Fetching Obsoletes list for channel: rhel-i386-es-3...
########################################

Fetching rpm headers...
#######

Comment 5 Thomas Sprinkmeier 2005-02-15 01:46:51 UTC
Platform is set to s390x. 

This happens on my i686 too, so I'd suggest changing it to ALL


Note You need to log in before you can comment on or make changes to this bug.